---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/queues/edit-local-field.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Editing a local queue field

Use this request to edit a [local issue field](https://yandex.com.tr/support/tracker/en/local-fields.md) linked to a given queue.

<div class="request_example method_patch yfm-clipboard">
    <p>PATCH</p>
    <pre><code>https://api.tracker.yandex.net/v3/queues/&lt;queue_ID>/localFields/&lt;field_key></code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To edit a local field, use an HTTP `PATCH` request. In the request body, specify the parameters in JSON format:

```json translate=no
PATCH /v3/queues/<queue_ID>/localFields/<field_key>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>

{
    "name":
    {
        "en": "Field name in English",
        "ru": "Field name in Russian"
    },
    "category": "0000000000000002********",
    "order": 102,
    "description": "Field description",
    "readonly": true,
    "visible": false,
    "hidden": false
}
```

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

{% cut "Resource" %}

| Parameter | Description | Data type |
-------- | -------- | ----------
| \<queue_ID\> | Queue ID or key. The queue key is case-sensitive. | String |
| \<field_key\> | Local field key.<br/>To get the key, use this HTTP [request](get-local-fields.md):<br/>`GET /v3/queues/<queue_ID>/localFields` | String |

{% endcut %}

{% cut "Request body parameters" %}

**Additional parameters**

| Parameter | Description | Data type |
----- | ----- | -----
| name | Local field name:<ul><li>`en`: In English.</li><li>`ru`: In Russian</li></ul> | String |
| category | Object with information about the field category.<br/>To get a list of all categories, use the HTTP request:<br/>`GET /v3/fields/categories` | String |
| order | Sequence number in the list of organization fields: [https://tracker.yandex.com/admin/fields](https://tracker.yandex.com/admin/fields). | Number |
| description | Local field description. | String |
| [optionsProvider](#optionsProvider1) | Object with information about the list items. | Map item |
| readonly | Shows if the field value is editable:<ul><li>`true`: Non-editable.</li><li>`false`: Editable.</li></ul> | Boolean |
| visible | Indicates whether the field appears in issues:<ul><li>`true`: Always show the field in the interface, even if empty. Fields with this setting cannot be hidden using the <svg xmlns="http://www.w3.org/2000/svg" width="10" height="10" fill="currentColor" aria-hidden="true" class="yc-icon"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 14 14"><path fill="currentColor" fill-rule="evenodd" d="M7.873 13.125a.875.875 0 1 1-1.75 0V7.87H.875a.875.875 0 0 1 0-1.75h5.248V.874a.875.875 0 1 1 1.75 0V6.12h5.249a.875.875 0 0 1 0 1.751H7.873v5.255z" clip-rule="evenodd"/></svg></svg> **Edit parameters list** button.</li><li>`false`: Default value. The field appears in the issue only if it contains a value or has been added using the <svg xmlns="http://www.w3.org/2000/svg" width="10" height="10" fill="currentColor" aria-hidden="true" class="yc-icon"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 14 14"><path fill="currentColor" fill-rule="evenodd" d="M7.873 13.125a.875.875 0 1 1-1.75 0V7.87H.875a.875.875 0 0 1 0-1.75h5.248V.874a.875.875 0 1 1 1.75 0V6.12h5.249a.875.875 0 0 1 0 1.751H7.873v5.255z" clip-rule="evenodd"/></svg></svg> **Edit parameters list** button.</li></ul> | Boolean |
| hidden | Indicates whether the field is hidden:<ul><li>`true`: Hide the field completely from the interface, even if it contains a value.</li><li>`false`: Keep the field visible.</li></ul> | Boolean |

`optionsProvider` **object fields** {#optionsProvider1}

| Parameter | Description | Data type |
-------- | -------- | ----------
| type | Drop-down list type: <ul><li>`FixedListOptionsProvider`: List of strings or numbers (for the `ru.yandex.startrek.core.fields.StringFieldType` or `ru.yandex.startrek.core.fields.IntegerFieldType` field types).</li><li>`FixedUserListOptionsProvider`: List of users (for the `ru.yandex.startrek.core.fields.UserFieldType` field type).</li></ul> | String |
| values | Drop-down list values. | Array of strings |

{% endcut %}

> Example: Editing a fixed set of string values for the local field of the **Drop-down list** type.
>
> - An HTTP PATCH method is used.
> - Field type: `FixedListOptionsProvider`.
> - Drop-down list values: "First list item", "Second list item", "Third list item".
>
> ```json translate=no
> PATCH /v3/queues/<queue_ID>/localFields/<field_key>
> Host: api.tracker.yandex.net
> Authorization: OAuth <OAuth_token>
> X-Org-ID or X-Cloud-Org-ID: <organization_ID>
>
> {
>     "optionsProvider": {
>     "type": "FixedListOptionsProvider",
>     "values": [
>          "List item 1",
>          "List item 2",
>          "List item 3"
>        ]
>    }
> }
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    The response body contains information about the local queue field in JSON format.

    ```json translate=no
     {
        "type": "local",
        "self": "https://api.tracker.yandex.net/v3/queues/ORG/localFields/loc_field_key",
        "id": "6054ae3a2b6b2c7f********--loc_field_key",
        "name": "Field name",
        "description": "Field description",
        "key": "loc_field_key",
        "version": 2,
        "schema": {
            "type": "string",
            "required": false
        },
        "readonly": true,
        "options": true,
        "suggest": false,
        "optionsProvider": {
           "type": "FixedListOptionsProvider",
           "needValidation": true,
           "values": [
              "First item",
              "Second item",
              "Third item"
             ]
          },
        "queryProvider": {
             "type": "StringOptionalQueryProvider"
        },
        "order": 102,
        "category": {
            "self": "https://api.tracker.yandex.net/v3/fields/categories/0000000000000002********",
            "id": "0000000000000002********",
            "display": "System"
        },
        "queue": {
            "self": "https://api.tracker.yandex.net/v3/queues/ORG",
            "id": "1",
            "key": "ORG",
            "display": "My queue"
        }
     }
    ```

    {% cut "Response parameters" %}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | type | Field type | String |
    | self | Address of the API resource with information about the field. | String |
    | id | Unique field ID. | String |
    | name | Field name. | String |
    | description | Field description. | String |
    | key | Field key. | String |
    | version | Field version. Each change to the field increments the version number. | Number |
    | [schema](#schema) | Object with information about the field value's data type. | Map object |
    | readonly | Shows if the field value is editable:<ul><li>`true`: Non-editable.</li><li>`false`: Editable.</li></ul> | Boolean |
    | options | Shows if the list of values is restricted:<ul><li>`true`: The list of values is not restricted, you can set any value.</li><li>`false`: The list of values is restricted by the organization's settings.</li></ul> | Boolean |
    | suggest | Enables/disables search suggestions when entering field values:<ul><li>`true`: Enabled.</li><li>`false`: Disabled.</li></ul> | Boolean |
    | [optionsProvider](#optionsProvider) | Object with information about allowed field values. | Map object |
    | [queryProvider](#queryProvider) | Object with information about the query language class.<br/>You cannot change the class using the API. | Map object |
    | order | Sequence number in the list of organization fields: [https://tracker.yandex.com/admin/fields](https://tracker.yandex.com/admin/fields) | Number |
    | [category](#category) | Object with information about the field category.<br/>To get a list of all categories, use the HTTP request:<br/>`GET /v3/fields/categories` | Object |
    | [queue](#queue) | Object with information about the issue queue. | Object |


    `schema` **object fields** {#schema}

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | type | Field value type. Possible data types:<ul><li>`string`: String; available for fields with a single value.</li><li>`array`: Array; available for fields with multiple values.</li></ul> | String |
    | items | Value type; available for fields with multiple values. | String |
    | required | Shows if the field is required:<ul><li>`true`: Required.</li><li>`false`: Optional.</li></ul> | Boolean |

    `optionsProvider` **object fields** {#optionsProvider}

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | type | Drop-down list type. | String |
    | needValidation | Indicates if a list value requires validation:<ul><li>`true`: Yes.</li><li>`false`: Do not validate the field value.</li></ul> | Boolean |
    | values | Drop-down list values. | Array of strings |

    `queryProvider` **object fields** {#queryProvider}

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | type | Query language type. | String |

    `category` **object fields** {#category}

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | self | Address of the API resource with information about the field category. | String |
    | id | Field category ID. | String |
    | display | Display name of the category. | String |

    `queue` **object fields** {#queue}

    <!-- source: en/_includes/api/queue.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the queue. | String |
    | id | Queue ID. | String |
    | key | Queue key. | String |
    | display | Queue name displayed. | String |
    <!-- endsource: en/_includes/api/queue.md -->

    {% endcut %}


 - Request failed

    If the request is processed incorrectly, the API returns a response with an error code:

    <!-- source: en/_includes/api/answer-error-400.md -->
    400
    :   One or more request parameters have an invalid value.
    <!-- endsource: en/_includes/api/answer-error-400.md -->

    <!-- source: en/_includes/api/answer-error-401.md -->
    401
    :   The user is not authorized. Make sure that actions described in the [API access](https://yandex.com.tr/support/tracker/en/api-ref/access.md) section are performed.
    <!-- endsource: en/_includes/api/answer-error-401.md -->

    <!-- source: en/_includes/api/answer-error-403.md -->
    403
    :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
    <!-- endsource: en/_includes/api/answer-error-403.md -->

    <!-- source: en/_includes/api/answer-error-404.md -->
    404
    :   The requested object was not found. You may have specified an invalid object ID or key.
    <!-- endsource: en/_includes/api/answer-error-404.md -->

    <!-- source: en/_includes/api/answer-error-422.md -->
    422
    :   JSON validation error, the request is rejected.
    <!-- endsource: en/_includes/api/answer-error-422.md -->

    <!-- source: en/_includes/api/answer-error-500.md -->
    500
    :   Internal service error. Try again later.
    <!-- endsource: en/_includes/api/answer-error-500.md -->

    <!-- source: en/_includes/api/answer-error-503.md -->
    503
    :   The API service is temporarily unavailable.
    <!-- endsource: en/_includes/api/answer-error-503.md -->

{% endlist %}
